List Contexts
curl --request GET \
--url https://app.apigene.ai/api/mcp/list_contexts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/mcp/list_contexts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/mcp/list_contexts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context_names": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}MCP
List Contexts
List all context names available for the specified agent. Returns a list of context names that the agent has access to.
GET
/
api
/
mcp
/
list_contexts
List Contexts
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Query Parameters
The name of the GenAI app.
The type of the app ('mcp' or 'agent').
Response
Successful Response
Response model for listing context names. Contains the list of context names.
List of context names
⌘I
